#if !defined(AFX_EVENTSHISTORYPAGE_H__FB8CCD4B_DD7D_11D2_9F40_00104B6833D0__INCLUDED_)
#define AFX_EVENTSHISTORYPAGE_H__FB8CCD4B_DD7D_11D2_9F40_00104B6833D0__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// EventsHistoryPage.h : header file
//
#include "SNDinc.h"
#include "sndevent.h"
#include "MyListCtrl.h"



typedef struct EventsHistElement{
	SYSTEMTIME time;
	SND_tdstBlockEvent *evt_pstPtr;
	tdxId				evt_Id;
	tdeTypeEvent		evt_eType;
	tdstBlockResourceMem	*res_pstPtr;
	long asso;
	CString	cEvtName;
	CString	cEvtBankName;
	CString	cInfo;

}EventsHistElement;


//Ressource structure use by the Supervisater
typedef struct RegKeyEventPage{
	int iCheckBankId;
	int iCheckEventId;
	BOOL bCheckFirstOccur;
	int iColTime;
	int iColEvtName;
	int iColEvtId;
	int iColBankName;
	int iColBankId;
	int iColEvtType;
	int iColInfo;
}RegKeyEventPage;

	


/////////////////////////////////////////////////////////////////////////////
// CEventsHistoryPage dialog

class CEventsHistoryPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CEventsHistoryPage)

// Construction
public:
	void SetFirstOccurEventsName(long lIndex);
	void SetEventsName(long lIndex);
	CRect m_arInitWindowSize[25];
	void SetWindowSize(int iDeltaX, int iDeltaY) ;
	void GetInitWindowSize();
	BOOL m_bPauseProcess;
	void SendEventInWatchList();
	long AddToFirstEvtOccurArray(EventsHistElement* evt);
	void FilterAndDisplayEvent(long lIndex);
	void FilterAndDisplayFirstOccurEvent(long lIndex);
	void RefreshEventsHistoList();
	CEventsHistoryPage();
	~CEventsHistoryPage();

// Dialog Data
	//{{AFX_DATA(CEventsHistoryPage)
	enum { IDD = IDD_EVENTS_HISTORY_PAGE };
	CListBox	m_WatchList;
	CMyListCtrl m_EventsList;
	BOOL	m_bShowBankWithId;
	BOOL	m_bShowEventWithId;
	long	m_lBankId;
	long	m_lEventId;
	BOOL	m_bDebugBreak;
	BOOL	m_bFirstOccurence;
	BOOL	m_bWatchMode;
	CString	m_LCBPath;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CEventsHistoryPage)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CEventsHistoryPage)
	virtual BOOL OnInitDialog();
	afx_msg void OnResetButton();
	afx_msg void OnCheckFirstOccur();
	afx_msg void OnCheckBank();
	afx_msg void OnCheckEvent();
	afx_msg void OnChangeEditBankId();
	afx_msg void OnChangeEditEventId();
	afx_msg void OnHelpWatch();
	afx_msg void OnCheckWatch();
	afx_msg void OnEmptyWatch();
	afx_msg void OnPauseButton();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EVENTSHISTORYPAGE_H__FB8CCD4B_DD7D_11D2_9F40_00104B6833D0__INCLUDED_)
